Subject: [bug#78241] [PATCH core-packages-team] Update Hurd and Mach

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Tue, 06 May 2025 15:15:52 +0200

Hi,

> This updates hurd and mach for core-packages-team branch to their
> latest available snapshots. The gnumach update fixes the build of
> gnumach-headers-boot0 (see https://issues.guix.gnu.org/77709).  I also
> changed everything to [email-masked] and the regular texinfo.

Very nice

> Should these be separate commits? Also should I separate the
> commencement.scm part from the hurd.scm part?

Usually we try to keep patches to commencement separate but for an
identical version bump I think this patch set is OK.

> I hope I did the hashes in commencement.scm correctly, it was a bit
> tricky to download the sources with the ongoing savannah issues.
>
> I have successfully built these with my WIP glibc patches and "-s
> i586-gnu" (ignoring some other test failures and adding
> -Wno-implicit-function-declaration in rumpkernel) and am currently
> waiting on the cross compiled variants.

Hmm, any idea why adding that flag has become necessary?  Should that
maybe be part of this patch set then?  If so, you can send a "fixup!" or
"squash!" commit.

> Are there additional things that need testing for the 64bit hurd and
> are there other hurd specific packages that should be updated as
> well? 

Not that I know of, afaik the 64bit Hurd should "just build".

> From 7bb361aa6e70f8746745b7a875ac28e3aad3733b Mon Sep 17 00:00:00 2001
> Message-ID: <[email-masked]>
> From: Yelninei <[email-masked]>
> Date: Sun, 4 May 2025 11:25:02 +0000
> Subject: [PATCH 1/2] gnu: gnumach: Update to 1.8+git20250304.

> From 59f3b41dd8e27cb18fe864e3b962eff516fb9c24 Mon Sep 17 00:00:00 2001
> Message-ID: <[email-masked]>
> In-Reply-To: <[email-masked]>
> References: <[email-masked]>
> From: Yelninei <[email-masked]>
> Date: Sun, 4 May 2025 11:25:02 +0000
> Subject: [PATCH 2/2] gnu: hurd: Update to 0.9.git20250420.

Applied to core-packages-team, thanks!

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com